clear all
clc

% Definizione di matrice di coordinate (x,y)
P=[-6 -6 -7 0 7 6 6 -3 -3 0 0 -6; -7 2 1 8 1 2 -7 -7 -2 -2 -7 -7];

%punto a: Grafico

plot(P(1,:),P(2,:));

%punto b: Effetto Scalatura

A1=[0.1 0;0 1];
A2=[1 0; 0 0.5];

P1=A1*P;
P2=A2*P;

figure;

subplot(121) 
plot(P1(1,:),P1(2,:)), axis([-10,10, -10,10]);
subplot(122) 
plot(P2(1,:),P2(2,:)), axis([-10,10, -10,10]);

%punto c: Effetto Rotazione

alpha=[15 45 90 215];
figure
for i=1:4
    G=[cosd(alpha(i)) -sind(alpha(i)); sind(alpha(i)) cosd(alpha(i))];
    PG=G*P;
    subplot(2,2,i), plot(PG(1,:),PG(2,:)), axis([-10,10, -10,10]);
end


