clear all
clc

% Dati
raggio_terra = 6378; % [km]
raggio_luna = 1737; % [km]

altezza_collina = [0:0.2:8]; % [km]

% Calcolo distanze dell'orizzonte
% soluzione 1
fprintf(' altitudine   distanzaTerra     distanzaLuna\n');
fprintf('-----------------------------------------------\n')
for i=1:length(altezza_collina)
    distanza_terra(i)=dist(raggio_terra,altezza_collina(i));
    distanza_luna(i)=dist(raggio_luna,altezza_collina(i));
    fprintf('\n     %3f      %2.4f    %2.4f ' , altezza_collina(i),distanza_terra(i),distanza_terra(i)); 
end

% Calcolo distanze dell'orizzonte
% soluzione 2 in alternativa
distanza_terra=dist(raggio_terra,altezza_collina);
distanza_luna=dist(raggio_luna,altezza_collina);

% Stampa tabelle
tabella_terra = [altezza_collina' , distanza_terra'];
tabella_luna = [altezza_collina' , distanza_luna'];

% Salviamo i dati su file
save 'dati_terra.dat' 'tabella_terra' -ascii
save 'dati_luna.dat' 'tabella_luna' -ascii
